GETUMASK(3)

NAME
getumask - get file creation mask

SYNOPSIS
#define _GNU_SOURCE /* See feature_test_macros(7) */
#include <sys/types.h>
#include <sys/stat.h>

mode_t getumask(void);

DESCRIPTION
This function returns the current file creation mask. It is equivalent to
mode_t getumask(void)
{
    mode_t mask = umask( 0 );
    umask(mask);
    return mask;
}
except that it is documented to be thread-safe (that is, shares a lock with the umask(2) library call).

CONFORMING TO
This is a vaporware GNU extension.

NOTES
This function is documented but not implemented yet in glibc, as at version 2.9.

SEE ALSO
umask(2)

COLOPHON
This page is part of release 3.63 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.